
/* Initng, a next generation sysvinit replacement.
 * Copyright (C) 2005 Jimmy Wennlund <jimmy.wennlund@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef ACTIVE_STATUS_H
#define ACTIVE_STATUS_H


typedef enum
{
    NONE,
    LOADING,
    STARTING,
    WAITING_FOR_START_DEP,
    START_DEP_MET,
    FAIL_STARTING,
    START_DEP_FAILED,
    START_LAUNCHING,
    START_LAUNCHED,
    WAITING_FOR_PID_FILE,
    RUNNING,
    DONE,
    RESPAWNING,
    STOPPING,
    WAITING_FOR_STOP_DEP,
    STOP_DEP_MET,
    STOP_DEP_FAILED,
    FAIL_STOPPING,
    STOP_LAUNCHING,
    STOP_LAUNCHED,
    STOPPED,
    STOP_MARKED,
    RESTARTING,
    FREEING
} e_a_status;

const char *active_db_get_status_string(e_a_status status);

#endif
