#ifndef TEST_INITNG_H
#define TEST_INITNG_H

#include <stdio.h>
#include <assert.h>

#define NEW_TEST() int test=0; printf("\n\n  ###############   %s  ##############   \n\n", __func__)
#define TEST(desc) test++; printf("\n T%i -- %s\n", test, desc)
#define INFO(desc) printf("\n -- %s\n", desc);

int empty_init(void);
int empty_cleanup(void);

void initng_fake_new(void);

extern int test_argc;
extern char **test_argv;
extern char **test_env;

void test_initng_toolbox_setup(void);
void test_process_db_setup(void);
void test_open_read_close_setup(void);
void test_initng_load_module_setup(void);
void test_initng_struct_data_setup(void);
void test_initng_string_tools_setup(void);

#endif /* TEST_INITNG_H */
